# List of all delivery notes

Using this endpoint, you can get list of all delivery notes with detailed info of each delivery note  (like in Delivery note detail endpoint) asynchronously. 


See how Asynchronous requests work on our developer's portal.


Response will be in jsonlines format with each delivery note taking one line of output file.


One delivery note in response has the same format as delivery note detail response. See Delivery note snapshot schema for more details.

Endpoint: GET /api/delivery-notes/snapshot
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Query parameters:

  - `creationTimeFrom` (string)
    Export delivery notes created after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `creationTimeTo` (string)
    Export delivery notes created before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `changeTimeFrom` (string)
    Export delivery notes updated after date
    Example: "2014-09-05T00:00:00%2B0000"

  - `changeTimeTo` (string)
    Export delivery notes updated before date
    Example: "2019-09-05T00:00:00%2B0000"

  - `codeFrom` (string)
    Export delivery notes with code after given value
    Example: "0000000006"

  - `codeTo` (string)
    Export delivery notes with code befor given value
    Example: "0000000006"

  - `orderCodeFrom` (string)
    Export delivery notes with order code after given value
    Example: "2017000010"

  - `orderCodeTo` (string)
    Export delivery notes with order code before given value
    Example: "2017000010"

  - `customerGuid` (string)
    Export delivery notes with given customer
    Example: "443cad54-73bc-11e8-8216-002590dad85e"

  - `isValid` (boolean)
    Filtering according to document validity
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 202 fields (application/json):

  - `data` (object)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


